note
	description: "Objects that ..."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	TEST_MAIN_WINDOW

inherit

	JJ_MAIN_WINDOW
		redefine
			initialize,
			initialize_interface,
			target,
			set_target
		end

create
	default_create

feature {NONE} -- Initialization

	initialize
			-- Set up the window
		local
			sa1: EV_SPLIT_AREA
			sa2: EV_SPLIT_AREA
		do
			create first_tool
			create edit_tool
			create third_tool
			create forth_tool
			interface_table.block
			Precursor {JJ_MAIN_WINDOW}
			interface_table.register_widget (Current, generating_type)
			split_manager.enable_mode_changes
			split_manager.set_vertical
			split_manager.extend_siblings (first_tool, edit_tool)
			sa1 := split_manager.last_item
			split_manager.extend_siblings (third_tool, forth_tool)
			sa2 := split_manager.last_item
			split_manager.set_horizontal
			split_manager.extend_siblings (sa1, sa2)
--			split_manager.add_horizontal (split_manager.last_split, create {INTERFACE_TABLE_TOOL})
			split_manager.select_view (first_tool)
			interface_table.force_resume
		end

	initialize_interface
			-- Create INTERFACE_ITEMs which could be used by Current.
			-- Called by `initialize'.
		do
			Precursor {JJ_MAIN_WINDOW}
			if not interface_table.has_key (generating_type) then
				interface_table.add_item_with_tuple (<< generating_type, "TEST_MAIN_WINDOW", "Test window for Standard Interface cluster", "Test Window used to test the various functions in Standard Interface cluster.", "d:\Eiffel54\studio\bitmaps\ico\icon_new_context_window_color.ico">>)
			end
		end

feature -- Access

feature -- Access

	target: TEST_RECORD
			-- The object being edited

	first_tool: TEST_TOOL
			-- To place a tool into the window for testing

	edit_tool: EDIT_TOOL
			-- Tool which manages the views for editting a record.

	second_tool: TEST_TOOL
			-- To place a second tool into the window for testing.

	third_tool: TEST_TOOL

	forth_tool: TEST_TOOL

feature -- Element change

	set_target (a_target: like target)
			-- Change the `target' and pass it to the `tree_tool'.
		local
--			n: NODE
			n: ANY
			a: ANY
		do
			Precursor {JJ_MAIN_WINDOW} (a_target)
			n ?= target
			a := target
			if n /= Void then
				first_tool.set_target (n)
			end
			if edit_tool /= Void then
				edit_tool.set_target (a_target)
--				edit_tool.set_schema (target.Default_schema)
				edit_tool.draw
			end
		end


feature -- Status report

	is_editor_tester_main_window_interface_initialized: BOOLEAN_REF
			-- Have the interface items for this class been added to the `interface_table'?
		once
			create Result
-- is this needed?
		end


end
