note
	description: "Objects that ..."
	author: ""
	date: "$Date: $"
	revision: "$Revision: $"

class
	TEST_TOOL

inherit

	TOOL
		redefine
			initialize,
			initialize_interface,
			build_tool_bars,
			set_actions
--			view
		end

create
	default_create

feature {NONE} -- Initialization

	initialize
			-- Build the interface for this window
		do
			create go_previous_button
			create go_next_button
--			create view
			Precursor {TOOL}
		end

	initialize_interface
			-- Create INTERFACE_ITEMs which could be used by Current.
			-- Called by `initialize'.
		do
			if not interface_table.has_key (generating_type) then
				interface_table.add_item_with_tuple (<< generating_type, "TEST_TOOL", "This represents A TEST_TOOL.", "This object represents a TEST_TOOL.", "icon_back_color.ico">>)
			end
			interface_table.add_item_with_tuple (<<"{TEST_TOOL}.go_previous_button", "Previous", "Go to previous item", "Moves back in the list of previously viewed items.", "icon_zoom_out.ico">>)
			interface_table.add_item_with_tuple (<<"{TEST_TOOL}.go_next_button", "Forth", "Go to next item", "Moves forward in the list of previously viewed items.", "icon_zoom_in.ico">>)
			Precursor {TOOL}
		end

	build_tool_bars
			-- Create the two toolbars.
		do
			Precursor {TOOL}
				-- Put pixmaps, tool-tips, etc on buttons
			interface_table.register_widget (go_previous_button, "{TEST_TOOL}.go_previous_button")
			interface_table.register_widget (go_next_button, "{TEST_TOOL}.go_next_button")
				-- Place buttons in toolbar
			tool_bar.extend (go_previous_button)
			tool_bar.extend (go_next_button)
			tool_bar.extend (create {EV_TOOL_BAR_SEPARATOR})
		end

	set_actions
			-- Add functionality to the buttons
		do
			Precursor {TOOL}
--			go_previous_button.select_actions.extend (agent on_go_previous_button_pressed)
--			go_next_button.select_actions.extend (agent on_go_next_button_pressed)
		end

feature -- Access

--	view: TREE_VIEW

feature {NONE} -- Implementation

	go_previous_button: EV_TOOL_BAR_BUTTON
			-- Button to move to previous record

	go_next_button: EV_TOOL_BAR_BUTTON
			-- Button to move to next record

end -- class TEST_TOOL
