note
	description: "[
				A control which allows the editting of a COMPARABLE.
				]"
	author: "Jimmy J. Johnson"
	date: "24 Feb 04"

deferred class
	COMPARABLE_CONTROL

inherit

	CONTROL
		redefine
			value,
			default_field
		end

feature -- Access

	value: COMPARABLE
			-- A new object represented by the display.
			-- Define to convert the display into the
			-- desired type.
		do
			Result ?= Precursor {CONTROL}
		end

feature {FIELD_EDITOR_VIEW} -- Implementation

	default_field: COMPARABLE_FIELD
			-- Create a field to be used if Current was `default_create'd.
			-- The anchor for `field'.
		deferred
		end

end
