class STRING_FIELD
	-- creates an edit box.

inherit

	COMPARABLE_FIELD
		redefine
			type
		end

create
	default_create

feature {NONE} -- Initialization

feature -- Access

feature -- Querry

	type: STRING_32
			-- Implementation (and anchor) of `value'.
			-- Redefined to change type.
		once
			create Result.make_from_string ("")
		end

	as_type (a_string: STRING_32): like type
			-- Convert `a_string' to an object of `Type'.
		do
			Result := a_string
		end

feature -- Transformation

	as_widget: STRING_CONTROL
		do
			create Result.make_from_field (Current)
		end

end
