note
	description: "[
			An EV_FIXED which is also a VIEW.
			]"
	author: "Jimmy J. Johnson"
	date: "12 Sep 03"

class
	FIXED_VIEW

inherit

	EV_FIXED
		rename
			object_id as ise_object_id
		redefine
			initialize,
			destroy,
			is_destroyed
		end

	VIEW
		undefine
--			default_create,
			copy,
			is_equal
		redefine
			initialize,
			destroy,
			is_destroyed
		end

create
	default_create

feature {NONE} -- Initialization

	initialize
			-- Create an editor view.
		do
			Precursor {EV_FIXED}
			Precursor {VIEW}
		end

feature -- Basic operations

	destroy
			-- Destroy underlying native toolkit object.
			-- Render `Current' unusable.
		do
			Precursor {VIEW}
			Precursor {EV_FIXED}
		end

feature -- Status report

	is_destroyed: BOOLEAN
			-- Is `Current' no longer usable?
		do
			Result := Precursor {VIEW} and Precursor {EV_FIXED}
		end

end -- class FIXED_VIEW
