note
	description: "View for displaying text."
	author: "Brooke E. Johnson	"
	date: "4 Jan 08"

class
	TEXT_VIEW

inherit

	EV_TEXT
		redefine
			initialize,
			destroy,
			is_destroyed
		end


	VIEW
		undefine
			copy
		redefine
			initialize,
--			draw,
			destroy,
			is_destroyed
		end

create
	default_create

feature {NONE} -- Initialization

	initialize
			-- Set up the widget
		do
			Precursor {VIEW}
			Precursor {EV_TEXT}
			set_actions
			draw
		end

	set_actions
		do
			resize_actions.force_extend (agent draw)
		end

feature -- Basic operations

	destroy
			-- Destroy the underlying screen object.
		do
			Precursor {EV_TEXT}
			Precursor {VIEW}
		end

feature -- Status report

	is_destroyed: BOOLEAN
			-- Is the underlying implementation object destroyed?
		do
			Result := Precursor {EV_TEXT} and then Precursor {VIEW}
		end

end
